org.crosswire.common.swing

## Class StackTraceListModel

- java.lang.Object
- - org.crosswire.common.swing.StackTraceListModel

- All Implemented Interfaces:
    ListModel

      public class StackTraceListModel
      extends Object
      implements ListModel

  To iterate over the full function names.
  Author:
    Joe Walker
  See Also:
    `The GNU General Public License for details.`, `ListModel`, `JList`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private org.crosswire.common.util.StackTrace` | `st`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackTraceListModel(org.crosswire.common.util.StackTrace st)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListDataListener(ListDataListener li)` Ignore this because the trace will not change
    `Object` | `getElementAt(int index)` Returns the value at the specified index
    `int` | `getSize()` Returns the length of the list
    `void` | `removeListDataListener(ListDataListener li)` Ignore this because the trace will not change

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### st

          private final org.crosswire.common.util.StackTrace st

  - ### Constructor Detail

    - #### StackTraceListModel

          public StackTraceListModel(org.crosswire.common.util.StackTrace st)

      Parameters:
        `st` -

  - ### Method Detail

    - #### getSize

          public int getSize()

      Returns the length of the list
      Specified by:
        `getSize` in interface `ListModel`

    - #### getElementAt

          public Object getElementAt(int index)

      Returns the value at the specified index
      Specified by:
        `getElementAt` in interface `ListModel`

    - #### addListDataListener

          public void addListDataListener(ListDataListener li)

      Ignore this because the trace will not change
      Specified by:
        `addListDataListener` in interface `ListModel`

    - #### removeListDataListener

          public void removeListDataListener(ListDataListener li)

      Ignore this because the trace will not change
      Specified by:
        `removeListDataListener` in interface `ListModel`